uses Lacrt,VenomGFX,FNfont2;


Procedure UlozTo(tabulka:pUNIprevodni_tabulka;soubor:string);
var f:text;
    s,t:string;
    i,j:longint;
    p:pchar;
begin
Assign(f,soubor);
Rewrite(f);
s:='';
i:=SizeOf(UNIprevodni_tabulka);
p:=pointer(tabulka);
for j:=0 to i-1 do
    begin
    s:=s+mystr(byte(p[j]))+',';
    if Length(s)>75 then
       begin
       writeln(f,s);
       s:='';
       end;
    end;
if s<>'' then writeln(f,s);
Close(f);
end;


var s,s2,s3:string;
    f:fn;
begin



{s:='1235Все люди рождаются свободными и равными в своем достоинстве и правах. Они наделены';}
{s:='προικισμένοι με λογική και συνείδηση, και οφείλουν να συμπεριφέρονται μεταξύ τους με';}
{s:='Tất cả mọi người sinh ra đều được tự do và bình đẳng về nhân phẩm và quyền. Mọi con';}
s:='Všichni lidé se rodí rovnými a svobodnými co to důstojnosti a práv. Jsou nadáni rozumem';


{zapnuti unicode konverzi}
velke_na_male:=pointer(UNI_velke_na_male);
male_na_velke:=pointer(UNI_male_na_velke);

{UlozTo(UNI_velke_na_male,'vm.inc');
UlozTo(UNI_male_na_velke,'mv.inc');}

Init_graph(Find_mode(800,600));
Nacti_FN('.\fonty\unismall.ufn',f);
FN_color:=64000;

s2:=Convert_up(s);
s3:=Convert_down(s);
Print_FN(0,400,s,f);
Print_FN(0,500,s2,f);
Print_FN(0,550,s3,f);
debug;

Kill_Graph;
end.
